Get table map valid at date
GET
/v1/booking/checkout/tableMap
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/tableMap';const options = {method: 'GET', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/tableMap \ --header 'Authorization: Bearer <token>' \ --header 'system: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”date
string format: date-time
Include bookings overlaping this date
unitId
integer format: int64
Filter tables by unit
sectionIds
Array<integer>
Filter tables by section
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
id
integer format: int64
tableName
string
tableNumber
integer format: int32
tableChairs
integer format: int32
unitId
integer format: int32
sectionId
integer format: int32
tables
string
itemType
integer format: int32
guestsMin
integer format: int32
templateId
integer format: int64
validFrom
string format: date-time
positionX
integer format: int32
positionY
integer format: int32
sizeX
integer format: int32
sizeY
integer format: int32
articleId
integer format: int64
articleName
string
articleGroupId
integer format: int64
sortOrder
integer format: int32
departmentId
string
sectionName
string
articleGroupName
string
articleGroupSortOrder
integer format: int64
articleGroupType
integer
Example
[ { "articleGroupType": 0 }]